Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Pick an existing line to create a new line with current layer?

8 REPLIES 8
Reply
Message 1 of 9
kroke71
1552 Views, 8 Replies

Pick an existing line to create a new line with current layer?

For example, I'm making revisions to a plan and drag a block or xref of the floor plan changes where walls/doors/windows have moved.  I want to be able to simply pick the underlying linework as opposed to tracing over each line of said xref/block.

 

Is this possible?  TIA

8 REPLIES 8
Message 2 of 9
GrantsPirate
in reply to: kroke71

You say current layer but I assume you mean the layer of the line you want to pick?

 

If yes, use ADDSELECTED command.

 

However this won't work with xref files, and if I understand the body of your post that is what you wanted.

 

I guess it is unclear exactly what you are asking for so please clarify.


GrantsPirate
Piping and Mech. Designer
EXPERT ELITE MEMBER
Always save a copy of the drawing before trying anything suggested here.
----------------------------------------------------------------------------
If something I wrote can be interpreted two ways, and one of the ways makes you sad or angry, I meant the other one.

Message 3 of 9
Neil47
in reply to: kroke71

If I understand you right then try NCOPY (Express tool)

Message 4 of 9
kroke71
in reply to: Neil47

Thanks guys,

 

I'm just trying to find an easier way to make revisions.  Coming from Revit, I got used to importing a dwg file and was able to select lines by picking the dwg file which in turn created a new line within Revit for me that would stay in my drawing session as my revision.  When I was done with the dwg file I used as a reference, it was discarded, leaving behind all of the new lines I wanted to keep.  I hope that makes more sense.

 

Kinda like tracing but instead of manually tracing from point to point on each line, you just simply "pick" it with the pointer and thus it creates a line for you. 

Message 5 of 9
GrantsPirate
in reply to: kroke71

Add this to your acaddoc.lsp file, then when opening a drawing the command NCO will be there (name it anything you want).

 

(defun c:NCO ()(command ".ncopy" pause "" "@" "@"))

 

This won't use current layer, someone better at lisp will have to take it from here.


GrantsPirate
Piping and Mech. Designer
EXPERT ELITE MEMBER
Always save a copy of the drawing before trying anything suggested here.
----------------------------------------------------------------------------
If something I wrote can be interpreted two ways, and one of the ways makes you sad or angry, I meant the other one.

Message 6 of 9
kroke71
in reply to: GrantsPirate

Hmm, cool.  Where do I find said acaddoc.lsp file?  I'm a n00b when it comes to all that.  Can't wait to try it though 😄

Message 7 of 9
GrantsPirate
in reply to: kroke71

Go here ...

http://www.lee-mac.com/runlisp.html

scroll down to Method 2.


GrantsPirate
Piping and Mech. Designer
EXPERT ELITE MEMBER
Always save a copy of the drawing before trying anything suggested here.
----------------------------------------------------------------------------
If something I wrote can be interpreted two ways, and one of the ways makes you sad or angry, I meant the other one.

Message 8 of 9
kroke71
in reply to: GrantsPirate

Awesome!  Thank you kind sir 😄

Message 9 of 9
GrantsPirate
in reply to: kroke71

This code will place the copied object on the current layer, setting color and linetype to bylayer.  Not the best coding, but it will get you by until someone that knows what they are doing comes along.

 

(defun C:NCO (/ cly)
 (setvar "cmdecho" 0)
(command ".ncopy" pause "" "@" "@")
 (setq cly (GETVAR "clayer"))
(command ".chprop" "L" "" "la" cly "color" "bylayer" "lt" "bylayer" "")
  (setvar "cmdecho" 1)
)

 


GrantsPirate
Piping and Mech. Designer
EXPERT ELITE MEMBER
Always save a copy of the drawing before trying anything suggested here.
----------------------------------------------------------------------------
If something I wrote can be interpreted two ways, and one of the ways makes you sad or angry, I meant the other one.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost